path: /build/build/libodfgen-app-text-0.1.7.package.tar.zst
dependencies: []
compilespec:
  steps: []
  env: []
  prelude:
  - |-
    export FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox" && \
    export JOBS=3 && \
    eval 'mkdir -p /var/cache/portage/distfiles || true' && \
    chown portage:portage -R /var/cache/portage/ && \
    USE="-doc" emerge app-text/libodfgen -pv -t && \
    USE="-doc" emerge -j ${JOBS} --nodeps app-text/libodfgen
  - export LUET_PORTAGE_CACHE_PACKAGES="/var/cache/portage/packages" && export LUET_PORTAGE_IGNORE_TAR_WARNING=1
    && export LUET_PORTAGE_PKGMETA=1 && export LUET_PORTAGE_PKGFILES=1 && eval 'rm
    -rf /pkgdir/ || true' && mkdir -p /pkgdir/libodfgen && luet-portage --dir /pkgdir/libodfgen
    app-text/libodfgen && eval 'rm -v /var/cache/distfiles/* ${LUET_PORTAGE_CACHE_PACKAGES}/*
    || true'
  image: ""
  seed: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree:718c47ce4b97f900b53b5493435e7fa6647bc912dea23f8139a577df86bc921a
  package:
    name: libodfgen
    version: 0.1.7
    category: app-text
    use_flags:
    - -doc
    requires:
    - name: macaroni-funtoo-race17
      version: '>=0'
      category: seed
    annotations:
      subsets:
        rules:
          devel:
          - ^/usr/include/
          portage:
          - ^/var/db/pkg/
    description: Library to generate ODF documents from libwpd and libwpg
    uri:
    - http://libwpd.sourceforge.net/
    license: '|| ( LGPL-2.1 MPL-2.0 )'
    buildtimestamp: 2023-10-06 14:05:58.257774216 +0000 UTC m=+140.163545428
    labels:
      BDEPEND: virtual/pkgconfig doc? ( app-doc/doxygen )
      DEPEND: dev-libs/librevenge
      IUSE: doc
      RDEPEND: dev-libs/librevenge
      emerge.packages: app-text/libodfgen
      kit: text-kit
      original.package.name: app-text/libodfgen
      original.package.slot: "0"
      original.package.version: 0.1.7
    treedir: /build/packages
  package_dir: /pkgdir/libodfgen
  retrieve: []
  unpack: false
  includes: []
  excludes:
  - ^/var/cache/portage/
  - ^/var/git/
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - arch: amd64
      commons-repo: macaroni-commons-dev
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: b7af1648d2106c6e8be680757963b4b5d97b9f0283f8082351477ed812b4e93a
compressiontype: zstd
files:
- usr/include/libodfgen-0.1/libodfgen/OdfDocumentHandler.hxx
- usr/include/libodfgen-0.1/libodfgen/OdgGenerator.hxx
- usr/include/libodfgen-0.1/libodfgen/OdpGenerator.hxx
- usr/include/libodfgen-0.1/libodfgen/OdsGenerator.hxx
- usr/include/libodfgen-0.1/libodfgen/OdtGenerator.hxx
- usr/include/libodfgen-0.1/libodfgen/libodfgen-api.hxx
- usr/include/libodfgen-0.1/libodfgen/libodfgen.hxx
- usr/lib64/libodfgen-0.1.so
- usr/lib64/libodfgen-0.1.so.1
- usr/lib64/libodfgen-0.1.so.1.0.7
- usr/lib64/pkgconfig/libodfgen-0.1.pc
- usr/share/doc/libodfgen-0.1.7/AUTHORS.bz2
- usr/share/doc/libodfgen-0.1.7/ChangeLog.bz2
- usr/share/doc/libodfgen-0.1.7/NEWS.bz2
- usr/share/doc/libodfgen-0.1.7/README.bz2
- var/db/pkg/app-text/libodfgen-0.1.7/BDEPEND
- var/db/pkg/app-text/libodfgen-0.1.7/BUILD_TIME
- var/db/pkg/app-text/libodfgen-0.1.7/CATEGORY
- var/db/pkg/app-text/libodfgen-0.1.7/CBUILD
- var/db/pkg/app-text/libodfgen-0.1.7/CFLAGS
- var/db/pkg/app-text/libodfgen-0.1.7/CHOST
- var/db/pkg/app-text/libodfgen-0.1.7/CONTENTS
- var/db/pkg/app-text/libodfgen-0.1.7/COUNTER
- var/db/pkg/app-text/libodfgen-0.1.7/CXXFLAGS
- var/db/pkg/app-text/libodfgen-0.1.7/DEFINED_PHASES
- var/db/pkg/app-text/libodfgen-0.1.7/DEPEND
- var/db/pkg/app-text/libodfgen-0.1.7/DESCRIPTION
- var/db/pkg/app-text/libodfgen-0.1.7/EAPI
- var/db/pkg/app-text/libodfgen-0.1.7/FEATURES
- var/db/pkg/app-text/libodfgen-0.1.7/HOMEPAGE
- var/db/pkg/app-text/libodfgen-0.1.7/IUSE
- var/db/pkg/app-text/libodfgen-0.1.7/IUSE_EFFECTIVE
- var/db/pkg/app-text/libodfgen-0.1.7/KEYWORDS
- var/db/pkg/app-text/libodfgen-0.1.7/LDFLAGS
- var/db/pkg/app-text/libodfgen-0.1.7/LICENSE
- var/db/pkg/app-text/libodfgen-0.1.7/NEEDED
- var/db/pkg/app-text/libodfgen-0.1.7/PF
- var/db/pkg/app-text/libodfgen-0.1.7/PROVIDES
- var/db/pkg/app-text/libodfgen-0.1.7/RDEPEND
- var/db/pkg/app-text/libodfgen-0.1.7/REQUIRES
- var/db/pkg/app-text/libodfgen-0.1.7/SIZE
- var/db/pkg/app-text/libodfgen-0.1.7/SLOT
- var/db/pkg/app-text/libodfgen-0.1.7/USE
- var/db/pkg/app-text/libodfgen-0.1.7/environment.bz2
- var/db/pkg/app-text/libodfgen-0.1.7/libodfgen-0.1.7.ebuild
- var/db/pkg/app-text/libodfgen-0.1.7/repository
package_cacheimage: ""
runtime:
  name: libodfgen
  version: 0.1.7
  category: app-text
  use_flags:
  - -doc
  requires:
  - name: librevenge
    version: '>=0'
    category: dev-libs
  annotations:
    subsets:
      rules:
        devel:
        - ^/usr/include/
        portage:
        - ^/var/db/pkg/
  description: Library to generate ODF documents from libwpd and libwpg
  uri:
  - http://libwpd.sourceforge.net/
  license: '|| ( LGPL-2.1 MPL-2.0 )'
  labels:
    BDEPEND: virtual/pkgconfig doc? ( app-doc/doxygen )
    DEPEND: dev-libs/librevenge
    IUSE: doc
    RDEPEND: dev-libs/librevenge
    emerge.packages: app-text/libodfgen
    kit: text-kit
    original.package.name: app-text/libodfgen
    original.package.slot: "0"
    original.package.version: 0.1.7
